#ifndef _Handle_PColStd_SeqNodeOfHSequenceOfPersistent_HeaderFile
#define _Handle_PColStd_SeqNodeOfHSequenceOfPersistent_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PMMgt_PManaged_HeaderFile
#include <Handle_PMMgt_PManaged.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PMMgt_PManaged);
class PColStd_SeqNodeOfHSequenceOfPersistent;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_SeqNodeOfHSequenceOfPersistent);

class Handle(PColStd_SeqNodeOfHSequenceOfPersistent) : public Handle(PMMgt_PManaged) {
  public:

    Handle(PColStd_SeqNodeOfHSequenceOfPersistent)():Handle(PMMgt_PManaged)() {} 
    Handle(PColStd_SeqNodeOfHSequenceOfPersistent)(const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& aHandle) : Handle(PMMgt_PManaged)(aHandle) 
     {
     }

    Handle(PColStd_SeqNodeOfHSequenceOfPersistent)(const PColStd_SeqNodeOfHSequenceOfPersistent* anItem) : Handle(PMMgt_PManaged)((PMMgt_PManaged *)anItem) 
     {
     }

    Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& operator=(const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& operator=(const PColStd_SeqNodeOfHSequenceOfPersistent* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_SeqNodeOfHSequenceOfPersistent* operator->() const 
     {
      return (PColStd_SeqNodeOfHSequenceOfPersistent *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_SeqNodeOfHSequenceOfPersistent) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
